Tabla única de mantenciones
curl --request GET \
--url https://api.ugps.io/api/maintenance/upcoming-items/table \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/maintenance/upcoming-items/table"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/maintenance/upcoming-items/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/maintenance/upcoming-items/table",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/maintenance/upcoming-items/table"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ugps.io/api/maintenance/upcoming-items/table")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/maintenance/upcoming-items/table")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"data": [
{
"id": "<string>",
"source": "schedule",
"asset": {
"id": "<string>",
"name": "<string>",
"plate": "<string>"
},
"title": "Cambio de aceite",
"state": "ok",
"schedule": {
"id": "<string>",
"recurrence": "once",
"conditions": {
"date": {
"every": 2,
"unit": "days",
"dueDate": "2026-11-15",
"remindBefore": 1,
"remindUnit": "days"
},
"odometer": {
"everyKm": 2,
"remindBeforeKm": 1
},
"engineHours": {
"everyHours": 2,
"remindBeforeHours": 1
}
}
},
"dueDate": "2023-11-07T05:31:56Z",
"scheduledAtValue": 123,
"dueInValue": 123,
"snoozedUntil": "2023-11-07T05:31:56Z",
"workOrder": {
"id": "<string>",
"status": "<string>",
"number": 123
},
"completedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Mantenimiento - Próximos
Tabla única de mantenciones
Una fila por mantención y activo, de una vez o recurrente, más las órdenes de trabajo completadas sin mantención programada (#3663). Paginada, filtrada y ordenada en el servidor. Antes de leer evalúa las programaciones del cliente: los estados y los pospuestos vencidos quedan al día. Las mantenciones ignoradas no aparecen.
GET
/
api
/
maintenance
/
upcoming-items
/
table
Tabla única de mantenciones
curl --request GET \
--url https://api.ugps.io/api/maintenance/upcoming-items/table \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/maintenance/upcoming-items/table"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/maintenance/upcoming-items/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/maintenance/upcoming-items/table",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/maintenance/upcoming-items/table"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ugps.io/api/maintenance/upcoming-items/table")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/maintenance/upcoming-items/table")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"data": [
{
"id": "<string>",
"source": "schedule",
"asset": {
"id": "<string>",
"name": "<string>",
"plate": "<string>"
},
"title": "Cambio de aceite",
"state": "ok",
"schedule": {
"id": "<string>",
"recurrence": "once",
"conditions": {
"date": {
"every": 2,
"unit": "days",
"dueDate": "2026-11-15",
"remindBefore": 1,
"remindUnit": "days"
},
"odometer": {
"everyKm": 2,
"remindBeforeKm": 1
},
"engineHours": {
"everyHours": 2,
"remindBeforeHours": 1
}
}
},
"dueDate": "2023-11-07T05:31:56Z",
"scheduledAtValue": 123,
"dueInValue": 123,
"snoozedUntil": "2023-11-07T05:31:56Z",
"workOrder": {
"id": "<string>",
"status": "<string>",
"number": 123
},
"completedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Una vez, se repite, u orden de trabajo sin mantención programada.
Available options:
once, repeat, unscheduled Available options:
ok, due_soon, overdue, done Nombre o patente del activo, o nombre de la mantención.
Available options:
dueAt, asset, title Available options:
asc, desc 
